Bug 1028075 - (CVE-2017-6502) VUL-1: CVE-2017-6502: GraphicsMagick,ImageMagick: An issue was discovered in ImageMagick 6.9.7. A specially crafted webp filecould lead to a file-des...
(CVE-2017-6502)
VUL-1: CVE-2017-6502: GraphicsMagick,ImageMagick: An issue was discovered in ...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/181230/
CVSSv2:SUSE:CVE-2017-6502:2.6:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-06 09:58 UTC by Marcus Meissner
Modified: 2017-07-11 22:48 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2017-03-06 09:58:02 UTC
CVE-2017-6502

An issue was discovered in ImageMagick 6.9.7. A specially crafted webp file
could lead to a file-descriptor leak in libmagickcore (thus, a DoS).

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-6502
https://github.com/ImageMagick/ImageMagick/commit/126c7c98ea788241922c30df4a5633ea692cf8df
Comment 1 Marcus Meissner 2017-03-06 09:58:42 UTC
no webp coder in sle11 graphicsmagic - not affected
Comment 2 Marcus Meissner 2017-03-06 10:00:02 UTC
sle11 imagemagick - no webp coder either
sle12 imagemagick - looks affected
Comment 3 Swamp Workflow Management 2017-03-06 23:00:52 UTC
bugbot adjusting priority
Comment 4 Petr Gajdos 2017-03-21 11:03:18 UTC
42.1/GraphicsMagick and 42.2/GraphicsMagick already closes the file. 12/ImageMagick affected.
Comment 5 Petr Gajdos 2017-03-21 18:29:35 UTC
Package submitted.
Comment 8 Swamp Workflow Management 2017-06-06 16:11:15 UTC
SUSE-SU-2017:1489-1: An update that fixes 27 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1028075,1033091,1034870,1034872,1034876,1036976,1036977,1036978,1036980,1036981,1036982,1036983,1036984,1036985,1036986,1036987,1036988,1036989,1036990,1036991,1037527,1038000,1040025,1040303,1040304,1040306,1040332
CVE References: CVE-2017-6502,CVE-2017-7606,CVE-2017-7941,CVE-2017-7942,CVE-2017-7943,CVE-2017-8343,CVE-2017-8344,CVE-2017-8345,CVE-2017-8346,CVE-2017-8347,CVE-2017-8348,CVE-2017-8349,CVE-2017-8350,CVE-2017-8351,CVE-2017-8352,CVE-2017-8353,CVE-2017-8354,CVE-2017-8355,CVE-2017-8356,CVE-2017-8357,CVE-2017-8765,CVE-2017-8830,CVE-2017-9098,CVE-2017-9141,CVE-2017-9142,CVE-2017-9143,CVE-2017-9144
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP2 (src):    ImageMagick-6.8.8.1-70.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    ImageMagick-6.8.8.1-70.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    ImageMagick-6.8.8.1-70.1
SUSE Linux Enterprise Server 12-SP2 (src):    ImageMagick-6.8.8.1-70.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    ImageMagick-6.8.8.1-70.1
Comment 9 Swamp Workflow Management 2017-06-14 13:10:48 UTC
openSUSE-SU-2017:1560-1: An update that fixes 27 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1028075,1033091,1034870,1034872,1034876,1036976,1036977,1036978,1036980,1036981,1036982,1036983,1036984,1036985,1036986,1036987,1036988,1036989,1036990,1036991,1037527,1038000,1040025,1040303,1040304,1040306,1040332
CVE References: CVE-2017-6502,CVE-2017-7606,CVE-2017-7941,CVE-2017-7942,CVE-2017-7943,CVE-2017-8343,CVE-2017-8344,CVE-2017-8345,CVE-2017-8346,CVE-2017-8347,CVE-2017-8348,CVE-2017-8349,CVE-2017-8350,CVE-2017-8351,CVE-2017-8352,CVE-2017-8353,CVE-2017-8354,CVE-2017-8355,CVE-2017-8356,CVE-2017-8357,CVE-2017-8765,CVE-2017-8830,CVE-2017-9098,CVE-2017-9141,CVE-2017-9142,CVE-2017-9143,CVE-2017-9144
Sources used:
openSUSE Leap 42.2 (src):    ImageMagick-6.8.8.1-30.3.1
Comment 10 Marcus Meissner 2017-06-20 07:19:53 UTC
released